Skip to main content
POST
/
v2
/
app-instance-labels
/
{label_id}
:bulkAttach
Bulk Attach App Instance Label
curl --request POST \
  --url https://public.api.serval.com/v2/app-instance-labels/{label_id}:bulkAttach \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "appInstanceIds": [
    "<string>"
  ]
}
'
{
  "attachedCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.serval.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

label_id
string
required

The ID of the label to attach.

Body

application/json
appInstanceIds
string[]
required

The IDs of the app instances to attach the label to. Must all belong to the same team as the label.

Response

Success

attachedCount
integer<int32>

The number of new attachments created (existing attachments are skipped).